ru.bitel.bgbilling.kernel.bgsecure.common.service

## Interface UserService

-     public interface UserService

  TODO : переписать всех на использование этого менеджера и bean-а.
  Author:
    stark

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changePassword(java.lang.String password)` Deprecated.
    `void` | `deleteUser(int userId)`
    `User` | `findUserByLogin(java.lang.String login)`
    `SearchResult<User>` | `findUsers(java.lang.String name, int status, Page page)`
    `java.lang.String` | `getCurrentUserEmail()`
    `User` | `getUser(int userId)`
    `MapHolder<java.lang.Integer,User>` | `getUsersMap()`
    `java.util.List<User>` | `listUsers()`
    `void` | `updateUser(User user, java.util.List<java.lang.Integer> groups)`
    `UserInfo` | `userInfoGet(int userId)` Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
    `java.util.List<UserInfo>` | `userInfoList()`

- - ### Method Detail

    - #### getUsersMap

          MapHolder<java.lang.Integer,User> getUsersMap()

    - #### getCurrentUserEmail

          java.lang.String getCurrentUserEmail()
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### findUsers

          SearchResult<User> findUsers(java.lang.String name,
                                       int status,
                                       Page page)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteUser

          void deleteUser(int userId)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getUser

          User getUser(int userId)
                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateUser

          void updateUser(User user,
                          java.util.List<java.lang.Integer> groups)
                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listUsers

          java.util.List<User> listUsers()
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### userInfoGet

          UserInfo userInfoGet(int userId)

      Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
      но, при условии что достается только так :getContext().getDirectory( UserInfo.class ). ... иначе если напрямую, то никакого кеширования не будет.
      Parameters:
        `userId` - - код пользователя.
      Returns:

    - #### userInfoList

          java.util.List<UserInfo> userInfoList()

    - #### changePassword

          @Deprecated
          void changePassword(java.lang.String password)

      Deprecated.
      deprecated. Не использовать
      Parameters:
        `password` -

    - #### findUserByLogin

          User findUserByLogin(java.lang.String login)